mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
mkfile_dir := $(dir $(mkfile_path))

advligo_src := $(mkfile_dir)/../../advligorts/src/


MODULENAME  := ipc_timing



ifndef GPSTIME_SYM
GPSTIME_SYM := $(shell $(advligo_src)/epics/util/find_module_symvers -q gpstime)
endif
ifndef RTS_CPU_ISOLATOR_SYM
RTS_CPU_ISOLATOR_SYM := $(shell $(advligo_src)/epics/util/find_module_symvers -q rts-cpu-isolator)
endif
ifndef RTS_LOGGER_SYM
RTS_LOGGER_SYM := $(shell $(advligo_src)/epics/util/find_module_symvers -q rts-logger)
endif




KBUILD_EXTRA_SYMBOLS += $(RTS_CPU_ISOLATOR_SYM)
KBUILD_EXTRA_SYMBOLS += $(RTS_LOGGER_SYM)
KBUILD_EXTRA_SYMBOLS += $(GPSTIME_SYM)

INCS += -I$(advligo_src)/include/
INCS += -I$(advligo_src)
INCS += -I$(mkfile_dir)/../include/

# Set the path to the Kernel build utils.
KBUILD=/lib/modules/$(shell uname -r)/build/

obj-m += $(MODULENAME).o
$(MODULENAME)-y := ipc_timing_core.o
ccflags-y := -O2 -Wall -std=gnu99 -Wno-declaration-after-statement $(INCS)

default:
	$(MAKE) -C $(KBUILD) M=$(mkfile_dir) modules

clean:
	$(MAKE) -C $(KBUILD) M=$(mkfile_dir) clean
